Foxit PDF SDK

Instance Methods | List of all members
FSLTVVerifier Class Reference
Inheritance diagram for FSLTVVerifier:

## Instance Methods
(void) | - addDSS:
| Add the verify result (as VRI information) of a signature to the DSS. More...
(id) | - initWithDocument:is_verify_signature:use_expired_tst:ignore_doc_info:time_type:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another LTV verifier object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setCertChainResolverCallback:
| Set a customized FSCertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain. More...
(void) | - setRevocationCallback:
| Set a customized FSRevocationCallback object. More...
(void) | - setTrustedCertStoreCallback:
| Set a customized FSTrustedCertStoreCallback object if user wants to trust some certificates. More...
(void) | - setVerifyMode:
| Set the verifying mode to specify which validation process is to be used. More...
(FSSignatureVerifyResultArray *) | - verify
| Verify all the signatures in the PDF document which is used to constructed current object. More...
(FSSignatureVerifyResultArray *) | - verifySignature:
| Verify the target signature in the PDF document which is used to constructed current object. More...

## Detailed Description

LTV verifier is used to verify signature in LTV work flow. Before use this class to verify signature(s), please ensure verify mode has been set by function FSLTVVerifier::setVerifyMode:.
Foxit PDF SDK has a default revocation callback for LTV verifier. If user wants to use customized revocation callback, please refer to function FSLTVVerifier::setRevocationCallback:.
If user wants to trust some certificates, please refer to function FSLTVVerifier::setTrustedCertStoreCallback:.

## Method Documentation

## ◆ addDSS:()

- (void) addDSS: |  | (FSSignatureVerifyResult*) | signature_verify_result |

Add the verify result (as VRI information) of a signature to the DSS.

Parameters

  [in] | signature_verify_result | A signature verify result to be added to DSS.

Returns
  None.

## ◆ initWithDocument:is_verify_signature:use_expired_tst:ignore_doc_info:time_type:()

- (id) initWithDocument: |  | (FSPDFDoc*) | document
is_verify_signature: |  | (BOOL) | is_verify_signature
use_expired_tst: |  | (BOOL) | use_expired_tst
ignore_doc_info: |  | (BOOL) | ignore_doc_info
time_type: |  | (FSLTVVerifierTimeType) | time_type

Constructor, with parameters.

Parameters

  [in] | document | A valid PDF document object.
  [in] | is_verify_signature | (Only available for FSLTVVerifierVerifyModeAcrobat) Use to decide whether to verify signature validity when verifying signature or not.
  [in] | use_expired_tst | (Only available for FSLTVVerifierVerifyModeAcrobat) Use to decide whether to use expired TST to verify signature or not.
  [in] | ignore_doc_info | (Only available for FSLTVVerifierVerifyModeAcrobat) Use to decide whether to ignore the revocation information in DSS and signature or not.
  [in] | time_type | (Only available for FSLTVVerifierVerifyModeAcrobat) Use to speicify the time type which is expected to be used for verifying. Please refer to values starting from FSLTVVerifierSignatureCreationTime and this should be one of these values except FSLTVVerifierVRICreationTime.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSLTVVerifier*) | other |

Constructor, with another LTV verifier object.

Parameters

  [in] | other | Another LTV verifier object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setCertChainResolverCallback:()

- (void) setCertChainResolverCallback: |  | (id<FSCertChainResolverCallback>) | callback |

Set a customized FSCertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain.

Parameters

  [in] | callback | A customized cert chain resolver callback object, which is implemented based on callback class FSCertChainResolverCallback. This can be set to nil which means not to use it.

Returns
  None.

Note
  Only available when using the default internal revocation callback of Foxit PDF SDK.

## ◆ setRevocationCallback:()

- (void) setRevocationCallback: |  | (id<FSRevocationCallback>) | callback |

Set a customized FSRevocationCallback object.

If no customized revocation callback is set by this function, Foxit PDF SDK will use a default one.

Parameters

  [in] | callback | A customized revocation callback object, which is implemented based on callback class FSRevocationCallback. This should not be nil.

Returns
  None.

## ◆ setTrustedCertStoreCallback:()

- (void) setTrustedCertStoreCallback: |  | (id<FSTrustedCertStoreCallback>) | callback |

Set a customized FSTrustedCertStoreCallback object if user wants to trust some certificates.

If no trusted cert store callback object is set by this function, no certificate will be trusted during verifying process.

Parameters

  [in] | callback | A customized trusted cert store callback object, which is implemented based on callback class FSTrustedCertStoreCallback. This can be set to nil which means not to use it.

## ◆ setVerifyMode:()

- (void) setVerifyMode: |  | (FSLTVVerifierVerifyMode) | mode |

Set the verifying mode to specify which validation process is to be used.

Please ensure to set the verify mode before doing verifying.

Parameters

  [in] | mode | The verify mode used for express verify process. Please refer to values starting from FSLTVVerifierVerifyModeAcrobat and this should be one of these values.

Returns
  None.

## ◆ verify()

- (FSSignatureVerifyResultArray *) verify |  |  |

Verify all the signatures in the PDF document which is used to constructed current object.

If verify mode is not FSLTVVerifierVerifyModeAcrobat, the verifying process will stop immediately when fail to verify any signature and return verify results for successfully verified signatures only. If verify mode is FSLTVVerifierVerifyModeAcrobat, all the signatures will be verified and return verify results for all the signatures.

Returns
  An array of signature verify results.

## ◆ verifySignature:()

- (FSSignatureVerifyResultArray *) verifySignature: |  | (FSSignature*) | signature |

Verify the target signature in the PDF document which is used to constructed current object.

Parameters

  [in] | signature | Target signature to be verified. If verify mode is FSLTVVerifierVerifyModeAcrobat, this function will verify signatures until target signature. If verify mode is not FSLTVVerifierVerifyModeAcrobat, this function will only verify target signature.

Returns
  An array of signature verify result.